library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity latch is
  generic (
    tpd : time:=0 ps );
  port(	ena : in std_logic;
	din : in std_logic;
	dout : out std_logic
        );
end latch;

architecture behavioral of latch is
  signal dat_s : std_logic;
begin

  process(din, ena)
  begin
    if (ena='1') then
      dat_s <= din after tpd;
    end if;
  end process;
  
  dout <= dat_s;
end behavioral;
